# Generated by Django 3.2.3 on 2021-06-08 16:12

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import fakecsv.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Schema',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('column_separator', models.CharField(choices=[(',', 'Comma'), (';', 'Semicolon'), ('\t', 'Tab'), (' ', 'Space')], default=',', max_length=1)),
                ('string_character', models.CharField(blank=True, choices=[('', 'None'), ("'", 'Quote'), ('"', 'Double Quote')], default='', max_length=1)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='SchemaColumn',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('type', models.CharField(choices=[('full_name', 'Full Name'), ('job', 'Job'), ('email', 'Email'), ('domain_name', 'Domain Name'), ('phone_num', 'Phone Number'), ('company_name', 'Company Name'), ('text', 'Text'), ('integer', 'Integer'), ('address', 'Address'), ('date', 'Date')], max_length=12)),
                ('meta', models.JSONField(null=True)),
                ('order', models.IntegerField()),
                ('schema', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='columns', to='fakecsv.schema')),
            ],
        ),
        migrations.CreateModel(
            name='DataSet',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file', models.FileField(max_length=256, null=True, upload_to=fakecsv.models.directory_path)),
                ('status', models.CharField(choices=[('initial', 'Initial'), ('processing', 'Processing'), ('ready', 'Ready')], max_length=12)),
                ('rows', models.IntegerField(default=100)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('schema', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='data_sets', to='fakecsv.schema')),
            ],
        ),
        migrations.AddIndex(
            model_name='schemacolumn',
            index=models.Index(fields=['order'], name='fakecsv_sch_order_50f561_idx'),
        ),
        migrations.AddIndex(
            model_name='dataset',
            index=models.Index(fields=['id'], name='fakecsv_dat_id_7f0c2b_idx'),
        ),
    ]
